define(["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  const idlKeywords = exports.idlKeywords = new Set(["any", "attribute", "boolean", "byte", "ByteString", "callback", "const", "creator", "Date", "deleter", "dictionary", "DOMString", "double", "enum", "false", "float", "getter", "implements", "Infinity", "inherit", "interface", "iterable", "long", "maplike", "NaN", "null", "object", "octet", "optional", "or", "partial", "readonly", "RegExp", "required", "sequence", "setlike", "setter", "short", "static", "stringifier", "true", "typedef", "unrestricted", "unsigned", "USVString", "void"]);
  const idlAttributeNameKeyword = exports.idlAttributeNameKeyword = new Set(["required"]);
  const idlArgumentNameKeyword = exports.idlArgumentNameKeyword = new Set(["attribute", "callback", "const", "creator", "deleter", "dictionary", "enum", "getter", "implements", "inherit", "interface", "iterable", "maplike", "partial", "required", "setlike", "setter", "static", "stringifier", "typedef", "unrestricted"]);

  const idlType = exports.idlType = {
    sequence: false,
    generic: null,
    nullable: false,
    union: false,
    idlType: ""
  };

  const idlOperation = exports.idlOperation = {
    type: "operation",
    getter: false,
    setter: false,
    creator: false,
    deleter: false,
    static: false,
    stringifier: false,
    idlType: _extends({}, idlType),
    name: "",
    arguments: [],
    extAttrs: []
  };
  // https://heycam.github.io/webidl/#Exposed
  const idlExposedKeywords = exports.idlExposedKeywords = new Set(["PrimaryGlobal", "Global", "Exposed"]);

  // These are listed as undesirable things in the Web IDL spec.
  const idlUndesirableExtAttrs = exports.idlUndesirableExtAttrs = new Set(["LegacyArrayClass", "LegacyNamespace", "LegacyUnenumerableNamedProperties", "LegacyWindowAlias", "NamedConstructor", "NoInterfaceObject", "OverrideBuiltins", "TreatNonObjectAsNull", "TreatNullAs"]);
});
//# sourceMappingURL=symbols.js.map